Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.projtrack
Class ProjectSnapshot

    java.lang.Object
      com.knowgate.projtrack.ProjectSnapshot

    public class ProjectSnapshot

extends java.lang.Object

Field Summary
`static short` | `ClassId`

Constructor Summary
`ProjectSnapshot()` Create an empty Project Snapshot
`ProjectSnapshot(JDCConnection oConn, Project oProj)` Create empty Snapshot for a given Project

Method Summary
`java.lang.String` | `getProject()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getWriter()`
`boolean` | `load(JDCConnection oConn, java.lang.String sGuSnapshot)`
`void` | `setData(java.lang.String sXmlData)`
`void` | `setProject(java.lang.String sGuProject)`
`void` | `setTitle(java.lang.String sTlSnapshot)`
`void` | `setWriter(java.lang.String sGuWriter)`
`void` | `store(JDCConnection oConn)`
`java.lang.String` | `toGantt()` Export this ProjectSnapshot as a GanttProject .gan file
`java.lang.String` | `toXML()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ClassId

    public static final short ClassId

See Also:
  Constant Field Values

Constructor Detail

### ProjectSnapshot

    public ProjectSnapshot()

  Create an empty Project Snapshot

### ProjectSnapshot

    public ProjectSnapshot(JDCConnection oConn,
                           Project oProj)
                    throws java.sql.SQLException

  Create empty Snapshot for a given Project

  Throws:
    `java.sql.SQLException`

Method Detail

### setProject

    public void setProject(java.lang.String sGuProject)

### getProject

    public java.lang.String getProject()

### setTitle

    public void setTitle(java.lang.String sTlSnapshot)

### getTitle

    public java.lang.String getTitle()

### setWriter

    public void setWriter(java.lang.String sGuWriter)

### getWriter

    public java.lang.String getWriter()

### setData

    public void setData(java.lang.String sXmlData)

### load

    public boolean load(JDCConnection oConn,
                        java.lang.String sGuSnapshot)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### store

    public void store(JDCConnection oConn)
               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### toXML

    public java.lang.String toXML()

### toGantt

    public java.lang.String toGantt()
                             throws java.io.IOException,
                                    java.io.FileNotFoundException,
                                    java.io.UnsupportedEncodingException,
                                    java.lang.NullPointerException,
                                    javax.xml.transform.TransformerException,
                                    javax.xml.transform.TransformerConfigurationException

  Export this ProjectSnapshot as a GanttProject .gan file

  Throws:
    `java.io.IOException`
    `java.io.FileNotFoundException`
    `java.io.UnsupportedEncodingException`
    `java.lang.NullPointerException`
    `javax.xml.transform.TransformerException`
    `javax.xml.transform.TransformerConfigurationException`
  Since:
    5.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD